<?php

namespace MotoPress\Appointment\Emails\Tags\Customer;

use MotoPress\Appointment\Emails\Tags\Booking\AbstractBookingEntityTag;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @since 1.15.2
 */
class CustomerEmailTag extends AbstractBookingEntityTag {

	public function getName(): string {
		return 'customer_email';
	}

	protected function description(): string {
		return esc_html__( 'Customer email', 'motopress-appointment' );
	}

	public function getTagContent(): string {
		$customer = $this->entity->getCustomer();

		return $customer->getEmail();
	}
}
