<?php

namespace MotoPress\Appointment\Gutenberg\Blocks;

class AppointmentFormBlock {


	public function __construct() {

		register_block_type(
			'motopress-appointment/appointment-form',
			array(
				'attributes'      => array(
					'form_title'               => array(
						'type' => 'string',
					),
					'show_category'            => array(
						'type'    => 'boolean',
						'default' => 'true',
					),
					'show_location'            => array(
						'type'    => 'boolean',
						'default' => 'true',
					),
					'show_employee'            => array(
						'type'    => 'boolean',
						'default' => 'true',
					),
					'label_category'           => array(
						'type' => 'string',
					),
					'label_service'            => array(
						'type' => 'string',
					),
					'label_location'           => array(
						'type' => 'string',
					),
					'label_employee'           => array(
						'type' => 'string',
					),
					'label_unselected'         => array(
						'type' => 'string',
					),
					'label_option'             => array(
						'type' => 'string',
					),
					'default_category'         => array(
						'type' => 'string',
					),
					'default_service'          => array(
						'type' => 'string',
					),
					'default_location'         => array(
						'type' => 'string',
					),
					'default_employee'         => array(
						'type' => 'string',
					),
					'timepicker_columns'       => array(
						'type'    => 'number',
						'default' => '3',
					),
					'show_timepicker_end_time' => array(
						'type'    => 'boolean',
						'default' => 'false',
					),
				),
				'render_callback' => array( $this, 'render_callback' ),
			)
		);
	}

	public function render_callback( $attributes, $content ) {

		return mpa_shortcodes()->appointmentForm()->render( $attributes, $content );
	}
}
