<?php

namespace MotoPress\Appointment\Metaboxes\Booking;

use MotoPress\Appointment\Metaboxes\FieldsMetabox;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @since 1.0
 */
class BookingCustomerMetabox extends FieldsMetabox {

	/**
	 * @return string
	 *
	 * @since 1.0
	 */
	protected function theName(): string {
		return 'booking_customer_metabox';
	}

	/**
	 * @return array
	 *
	 * @since 1.0
	 */
	protected function theFields() {
		return array(
			'customer_name'  => array(
				'type'  => 'text',
				'label' => esc_html__( 'Name', 'motopress-appointment' ),
				'size'  => 'regular',
			),
			'customer_email' => array(
				'type'  => 'text',
				'label' => esc_html__( 'Email', 'motopress-appointment' ),
				'size'  => 'regular',
			),
			'customer_phone' => array(
				'type'                   => 'phone',
				'label'                  => esc_html__( 'Phone', 'motopress-appointment' ),
				'size'                   => 'regular',
				'isSeveralPhonesAllowed' => false,
			),
			'customer_notes' => array(
				'type'         => 'textarea',
				'label'        => esc_html__( 'Booking notes', 'motopress-appointment' ),
				'rows'         => 5,
				'size'         => 'regular',
				'default'      => '',
				'translatable' => false,
				'size'         => 'large',
			),
		);
	}

	/**
	 * @return string
	 *
	 * @since 1.0
	 */
	public function getLabel(): string {
		return esc_html__( 'Customer Info', 'motopress-appointment' );
	}
}
