<?php

namespace MotoPress\Appointment\Payments\Gateways;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @since 1.5.0
 */
class BankPaymentGateway extends AbstractInstructionPaymentGateway {

	/**
	 * @since 1.5.0
	 * @var string
	 */
	public $id = 'bank';

	/**
	 * @since 1.5.0
	 * @var bool
	 */
	public $hasSandboxSupport = false;

	/**
	 * @since 1.5.0
	 */
	public function __construct() {
		$this->name        = esc_html__( 'Direct Bank Transfer', 'motopress-appointment' );
		$this->publicName  = esc_html__( 'Direct bank transfer', 'motopress-appointment' );
		$this->description = esc_html__( 'Make your payment directly into our bank account. Please use your Booking ID as the payment reference.', 'motopress-appointment' );

		parent::__construct();
	}


	protected function getAdminDescription() {
		return wp_kses_post( mpa_get_upgrade_to_premium_html_message( '' ) );
	}

	public function getFields() {
		return array( parent::getFields()[ $this->getOptionNameRaw( 'group' ) ] );
	}

	public function isEnabled() {
		return false;
	}

	public function isActive() {
		return false;
	}

	public function processPayment( $payment, $args ) {
		return true;
	}

	public function isOnlinePayment() {
		return true;
	}
}
