<?php

namespace MotoPress\Appointment\Payments\Gateways;

use MotoPress\Appointment\Entities\Booking;
use MotoPress\Appointment\Entities\Payment;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @since 1.5.0
 */
class CashPaymentGateway extends AbstractInstructionPaymentGateway {

	/**
	 * @since 1.5.0
	 * @var string
	 */
	public $id = 'cash';

	/**
	 * @since 1.5.0
	 * @var bool
	 */
	public $hasSandboxSupport = false;

	/**
	 * @since 1.5.0
	 */
	public function __construct() {
		$this->name       = esc_html__( 'Pay on-site', 'motopress-appointment' );
		$this->publicName = esc_html__( 'Pay on-site', 'motopress-appointment' );

		parent::__construct();
	}

	/**
	 * @since 1.5.0
	 *
	 * @param Payment $payment
	 * @param array $args
	 *      @param Booking $args['booking']
	 * @return bool
	 */
	public function processPayment( $payment, $args ) {
		return mpa_payment_manager()->holdPayment( $payment );
	}
}
