<?php

namespace MotoPress\Appointment\Payments\Gateways;

use MotoPress\Appointment\Entities\Booking;
use MotoPress\Appointment\Entities\Payment;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @since 1.6.2
 */
class FreePaymentGateway extends AbstractPaymentGateway {

	/**
	 * @var string
	 */
	public $id = 'free';

	/**
	 * @var bool
	 */
	public $isInternal = true;

	/**
	 * @var bool
	 */
	public $isEnabled = true;

	/**
	 * @var bool
	 */
	public $hasSandboxSupport = false;

	/**
	 * @since 1.6.2
	 */
	public function __construct() {

		$this->name = esc_html__( 'Free Payment', 'motopress-appointment' );

		parent::__construct();
	}

	/**
	 * @since 1.6.2
	 *
	 * @param Payment $payment
	 * @param array $args
	 *      @param Booking $args['booking']
	 * @return bool
	 */
	public function processPayment( $payment, $args ) {
		return mpa_payment_manager()->completePayment( $payment );
	}

	/**
	 * @since 1.6.2
	 */
	public function printBillingFields() {}
}
