<?php

namespace MotoPress\Appointment\Payments\Gateways;

use MotoPress\Appointment\Entities\Booking;
use MotoPress\Appointment\Entities\Payment;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @since 1.5.0
 */
class ManualPaymentGateway extends AbstractPaymentGateway {

	/**
	 * @since 1.5.0
	 * @var string
	 */
	public $id = 'manual';

	/**
	 * @since 1.5.0
	 * @var bool
	 */
	public $isInternal = true;

	/**
	 * @since 1.5.0
	 * @var bool
	 */
	public $isEnabled = true;

	/**
	 * @since 1.5.0
	 * @var bool
	 */
	public $hasSandboxSupport = false;

	/**
	 * @since 1.5.0
	 */
	public function __construct() {

		$this->name = esc_html__( 'Manual Payment', 'motopress-appointment' );

		parent::__construct();
	}

	/**
	 * @since 1.5.0
	 *
	 * @param Payment $payment
	 * @param array $args
	 *      @param Booking $args['booking']
	 * @return false
	 */
	public function processPayment( $payment, $args ) {
		return false; // You aren't supposed to be here, go away
	}

	/**
	 * @since 1.5.0
	 */
	public function printBillingFields() {}
}
