<?php

namespace MotoPress\Appointment\Payments\Gateways;

use MotoPress\Appointment\Entities\Booking;
use MotoPress\Appointment\Entities\Payment;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * @since 1.5.0
 */
class TestPaymentGateway extends AbstractPaymentGateway {

	/**
	 * @since 1.5.0
	 * @var string
	 */
	public $id = 'test';

	/**
	 * @since 1.5.0
	 * @var bool
	 */
	public $hasSandboxSupport = false;

	/**
	 * @since 1.5.0
	 */
	public function __construct() {

		$this->name       = esc_html__( 'Test Payment', 'motopress-appointment' );
		$this->publicName = esc_html__( 'Test payment', 'motopress-appointment' );

		parent::__construct();
	}

	/**
	 * @since 1.5.0
	 *
	 * @param Payment $payment
	 * @param array $args
	 *      @param Booking $args['booking']
	 * @return bool
	 */
	public function processPayment( $payment, $args ) {
		return mpa_payment_manager()->completePayment( $payment );
	}

	/**
	 * @since 1.5.0
	 */
	public function printBillingFields() {}

	/**
	 * @since 1.14.0
	 *
	 * @return bool
	 */
	public function isOnlinePayment() {
		return true;
	}
}
