<?php
/**
 * @package MotoPress\Appointment\Rest
 * @since 1.8.0
 */

namespace MotoPress\Appointment\Rest\Data;

use MotoPress\Appointment\Entities\Booking;
use MotoPress\Appointment\Entities\Employee;
use MotoPress\Appointment\Entities\Location;
use MotoPress\Appointment\Entities\Reservation;
use MotoPress\Appointment\Entities\Service;

class DataFactory {

	/**
	 * @param  string  $rest_base
	 *
	 * @return AbstractData
	 */
	public static function create( $rest_base ) {
		switch ( $rest_base ) {
			case 'bookings':
				$booking = new Booking( 0, array() );
				return new BookingData( $booking );
			case 'reservations':
				$reservation = new Reservation( 0, array() );
				return new ReservationData( $reservation );
			case 'services':
				$service = new Service( 0, array() );
				return new ServiceData( $service );
			case 'locations':
				$location = new Location( 0, array() );
				return new LocationData( $location );
			case 'employees':
				$employee = new Employee( 0, array() );
				return new EmployeeData( $employee );
			default:
				throw new \Exception( 'Not found relevant class for data of endpoint: ' . $rest_base );
		}
	}
}
